use crate::model::{ModOption, SelectionType};

#[derive(Debug, Clone)]
#[cfg_attr(feature = "serde", derive(serde::Deserialize, serde::Serialize))]
#[cfg_attr(feature = "serde", serde(rename_all = "PascalCase"))]
pub struct ModGroup {
    pub group_name: String,
    pub selection_type: SelectionType,
    pub option_list: Vec<ModOption>,
}
