use crate::model::{SelectionType, SimpleMod};

#[derive(Debug, Clone)]
#[cfg_attr(feature = "serde", derive(serde::Deserialize, serde::Serialize))]
#[cfg_attr(feature = "serde", serde(rename_all = "PascalCase"))]
pub struct ModOption {
    pub name: String,
    pub description: Option<String>,
    pub image_path: Option<String>,
    pub mods_jsons: Vec<SimpleMod>,
    pub group_name: String,
    pub selection_type: SelectionType,
    pub is_checked: bool,
}
